/*
 *  Copyright 2002-2005, Mersad Team, Allameh Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  This file is created by: Sassan Haradji
 *
 *  Released on Monday 1 August 2005, 10 Mordad 1384 by Mersad RoboCup Team.
 *  For more information please read README file.
*/


#ifndef __BACK_PLAN_H_
#define __BACK_PLAN_H_

#include <Plan.h>

class BackPlan : public Plan
{
public:
	BackPlan(const WorldModel *wm, Form &form, const Library &library);
	~BackPlan();

	virtual void decide();

	virtual double successRate();
	virtual bool isFinished();

protected:
};

#endif // __BACK_PLAN_H_
