/*
 *  Copyright 2002-2005, Mersad Team, Allameh Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  This file is created by: Ahmad Boorghany
 *
 *  Released on Monday 1 August 2005, 10 Mordad 1384 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#ifndef __BASIC_ACTION_H
#define __BASIC_ACTION_H

#include <Command.h>

#ifndef NULL
#	define NULL 0
#endif // NULL

class BasicAction
{
protected:
	ActionType creator;

public:
	BasicAction(ActionType creator);

	virtual Command *getCommand() = 0;

	ActionType getCreator() const;
};

#endif
