/*
 *  Copyright 2002-2005, Mersad Team, Allameh Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  This file is created by: Mohsen Izadi
 *  and is modified by: Ahmad Boorghany, Mohammad Salehe
 *
 *  Released on Monday 1 August 2005, 10 Mordad 1384 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#include <iostream>

#include <AdvancedAgent.h>
#include <AdvancedCoach.h>

int main(int argc, char **argv)
{
	if (argc >= 2)
		if (!strcmp(argv[1],"--coach"))
		{
			AdvancedCoach *coachPtr = new AdvancedCoach(argc,argv);
			coachPtr->run();

			delete coachPtr;
			return 0;
		}

	AdvancedAgent *playerPtr = new AdvancedAgent(argc,argv);
	playerPtr->run();

	delete playerPtr;
	return 0;
}
